package com.palmnest.model.notice;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "tb_email_send")
public class EmailSendModel implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 1429387960015141694L;

	private Integer id;
	private String  recipient_email;
	private Date    send_time;
	private String  ssender_email;
	private Integer state;
	private String  email_theme;
	private String  email_centent;
	private String  contentTxt;
	private Integer emailaccount_id;
	private String  attach_ment;
	private String  approval_user;
	private Date    approval_time;
	private int     total;
	
	private Integer approvalType;
	
	private Integer receiveType;
	
	
	
	@Column(name = "receive_type")
	public Integer getReceiveType() {
		return receiveType;
	}

	public void setReceiveType(Integer receiveType) {
		this.receiveType = receiveType;
	}

	@Column(name = "approval_type")
	public Integer getApprovalType() {
		return approvalType;
	}

	public void setApprovalType(Integer approvalType) {
		this.approvalType = approvalType;
	}


	public int getTotal() {
		return total;
	}

	public void setTotal(int total) {
		this.total = total;
	}

	public String getRecipient_email() {
		return recipient_email;
	}

	public void setRecipient_email(String recipient_email) {
		this.recipient_email = recipient_email;
	}

	public Date getSend_time() {
		return send_time;
	}

	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	public String getSsender_email() {
		return ssender_email;
	}

	public void setSsender_email(String ssender_email) {
		this.ssender_email = ssender_email;
	}


	public String getEmail_theme() {
		return email_theme;
	}

	public void setEmail_theme(String email_theme) {
		this.email_theme = email_theme;
	}

	public String getEmail_centent() {
		return email_centent;
	}

	public void setEmail_centent(String email_centent) {
		this.email_centent = email_centent;
	}

	public Integer getEmailaccount_id() {
		return emailaccount_id;
	}

	public void setEmailaccount_id(Integer emailaccount_id) {
		this.emailaccount_id = emailaccount_id;
	}

	public String getAttach_ment() {
		return attach_ment;
	}

	public void setAttach_ment(String attach_ment) {
		this.attach_ment = attach_ment;
	}

	public String getApproval_user() {
		return approval_user;
	}

	public void setApproval_user(String approval_user) {
		this.approval_user = approval_user;
	}

	public Date getApproval_time() {
		return approval_time;
	}

	public void setApproval_time(Date approval_time) {
		this.approval_time = approval_time;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	private Date createTime;

	private String creator;

	private String modifier;

	private Date modifyTime;

	private String isEnabled;

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	@Column(name = "content_txt")
	public String getContentTxt() {
		return contentTxt;
	}

	public void setContentTxt(String contentTxt) {
		this.contentTxt = contentTxt;
	}

	private Integer orgId;

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	private String userIds;

	public String getUserIds() {
		return userIds;
	}

	public void setUserIds(String userIds) {
		this.userIds = userIds;
	}

	private Integer isPass;//审核结果（0不通过1通过）
	private String  auditOpinion;//审核意见

	public Integer getIsPass() {
		return isPass;
	}

	public void setIsPass(Integer isPass) {
		this.isPass = isPass;
	}

	public String getAuditOpinion() {
		return auditOpinion;
	}

	public void setAuditOpinion(String auditOpinion) {
		this.auditOpinion = auditOpinion;
	}
}